## org.apache.coyote.http11
Class InternalOutputBuffer.OutputStreamOutputBuffer

    java.lang.Object
      org.apache.coyote.http11.InternalOutputBuffer.OutputStreamOutputBuffer

All Implemented Interfaces:
  OutputBuffer

Enclosing class:
  InternalOutputBuffer

protected class InternalOutputBuffer.OutputStreamOutputBuffer
extends java.lang.Object
implements OutputBuffer

This class is an output buffer which will write data to an output stream.

Constructor Summary
`protected` `InternalOutputBuffer.OutputStreamOutputBuffer()`

Method Summary
`int` `doWrite(ByteChunk chunk, Response res)` Write chunk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalOutputBuffer.OutputStreamOutputBuffer

    protected InternalOutputBuffer.OutputStreamOutputBuffer()

Method Detail

### doWrite

    public int doWrite(ByteChunk chunk,
                       Response res)
                throws java.io.IOException

  Write chunk.

  Specified by:
    `doWrite` in interface `OutputBuffer`
  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.